# fortios_ips_global – Configure IPS global parameter in Fortinet’s FortiOS and FortiGate

New in version 2.8.

- Synopsis
- Requirements
- Parameters
- Notes
- Examples
- Return Values
- Status

## Synopsis

- This module is able to configure a FortiGate or FortiOS (FOS) device by allowing the user to set and modify ips feature and global category. Examples include all parameters and values need to be adjusted to datasources before usage. Tested with FOS v6.0.5

## Requirements

The below requirements are needed on the host that executes this module.

- fortiosapi>=0.9.8

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
host string |  | FortiOS or FortiGate IP address.

https
boolean

Choices:
- no
- yes ←

Indicates if the requests towards FortiGate must use HTTPS protocol.

ips_global dictionary | Default: null | Configure IPS global parameter.

anomaly_mode
string

Choices:
- periodical
- continuous

Global blocking mode for rate-based anomalies.

database
string

Choices:
- regular
- extended

Regular or extended IPS database. Regular protects against the latest common and in-the-wild attacks. Extended includes protection from legacy attacks.

| deep_app_insp_db_limit integer |  | Limit on number of entries in deep application inspection database (1 - 2147483647, 0 = use recommended setting)
| deep_app_insp_timeout integer |  | Timeout for Deep application inspection (1 - 2147483647 sec., 0 = use recommended setting).
| engine_count integer |  | Number of IPS engines running. If set to the default value of 0, FortiOS sets the number to optimize performance depending on the number of CPU cores.

exclude_signatures
string

Choices:
- none
- industrial

Excluded signatures.

fail_open
string

Choices:
- enable
- disable

Enable to allow traffic if the IPS process crashes. Default is disable and IPS traffic is blocked when the IPS process crashes.

intelligent_mode
string

Choices:
- enable
- disable

Enable/disable IPS adaptive scanning (intelligent mode). Intelligent mode optimizes the scanning method for the type of traffic.

session_limit_mode
string

Choices:
- accurate
- heuristic

Method of counting concurrent sessions used by session limit anomalies. Choose between greater accuracy (accurate) or improved performance (heuristics).

| skype_client_public_ipaddr string |  | Public IP addresses of your network that receive Skype sessions. Helps identify Skype sessions. Separate IP addresses with commas.
| socket_size integer |  | IPS socket buffer size (0 - 256 MB). Default depends on available memory. Can be changed to tune performance.

sync_session_ttl
string

Choices:
- enable
- disable

Enable/disable use of kernel session TTL for IPS sessions.

traffic_submit
string

Choices:
- enable
- disable

Enable/disable submitting attack data found by this FortiGate to FortiGuard.

password string | Default: "" | FortiOS or FortiGate password.

ssl_verify
boolean
added in 2.9

Choices:
- no
- yes ←

Ensures FortiGate certificate must be verified by a proper CA.

username string |  | FortiOS or FortiGate username.
vdom string | Default: "root" | Virtual domain, among those defined previously. A vdom is a virtual instance of the FortiGate that can be configured and used as a different unit.

## Notes

Note

- Requires fortiosapi library developed by Fortinet
- Run as a local_action in your playbook

## Examples

    - hosts: localhost
      vars:
       host: "192.168.122.40"
       username: "admin"
       password: ""
       vdom: "root"
       ssl_verify: "False"
      tasks:
      - name: Configure IPS global parameter.
        fortios_ips_global:
          host:  "{{ host }}"
          username: "{{ username }}"
          password: "{{ password }}"
          vdom:  "{{ vdom }}"
          https: "False"
          ips_global:
            anomaly_mode: "periodical"
            database: "regular"
            deep_app_insp_db_limit: "5"
            deep_app_insp_timeout: "6"
            engine_count: "7"
            exclude_signatures: "none"
            fail_open: "enable"
            intelligent_mode: "enable"
            session_limit_mode: "accurate"
            skype_client_public_ipaddr: "<your_own_value>"
            socket_size: "13"
            sync_session_ttl: "enable"
            traffic_submit: "enable"

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
build string | always | Build number of the fortigate image Sample: 1547
http_method string | always | Last method used to provision the content into FortiGate Sample: PUT
http_status string | always | Last result given by FortiGate on last operation applied Sample: 200
mkey string | success | Master key (id) used in the last call to FortiGate Sample: id
name string | always | Name of the table used to fulfill the request Sample: urlfilter
path string | always | Path of the table used to fulfill the request Sample: webfilter
revision string | always | Internal revision number Sample: 17.0.2.10658
serial string | always | Serial number of the unit Sample: FGVMEVYYQT3AB5352
status string | always | Indication of the operation's result Sample: success
vdom string | always | Virtual domain used Sample: root
version string | always | Version of the FortiGate Sample: v5.6.3

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by the Ansible Community. [community]

### Authors

- Miguel Angel Munoz (@mamunozgonzalez)
- Nicolas Thomas (@thomnico)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.